CVE-2012-6656

Published: 31 December 2012

iconvdata/ibm930.c in GNU C Library (aka glibc) before 2.16 allows context-dependent attackers to cause a denial of service (out-of-bounds read) via a multibyte character value of "0xffff" to the iconv function when converting IBM930 encoded data to UTF-8.

Priority

Low

Status

Package Release Status
eglibc
Launchpad, Ubuntu, Debian
Upstream
Released (2.16)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(2.19-0ubuntu6.3)
Patches:
Upstream: https://sourceware.org/git/?p=glibc.git;a=commit;h=6e230d11837f3ae7b375ea69d7905f0d18eb79e5
glibc
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist